Bug 1305082 - [RFE] add fields to "hammer content-report content-host-status" for sat5 "spacewalk-report inventory" feature level
[RFE] add fields to "hammer content-report content-host-status" for sat5 "spa...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: 1296845
  Show dependency treegraph
 
Reported: 2016-02-05 09:44 EST by Christian Horn
Modified: 2017-12-14 16:22 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-14 16:22:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2153221 None None None 2016-02-05 09:50 EST

  None (edit)
Description Christian Horn 2016-02-05 09:44:55 EST
Description of problem:

We would like to have a CSV report about our estate. On the old Satellite this is done via "spacewalk-report inventory" and then some simple post-processing of the output. The same is not possible in Satellite 6.1 easily.

There is "hammer content-report content-host-status"  which is affected by the following bugs:
 https://bugzilla.redhat.com/show_bug.cgi?id=1296009
 https://bugzilla.redhat.com/show_bug.cgi?id=1297742

But even after fixing/workaournding these (as I tried in my local setup), the output will only contain three columns: Hostname,Status,Date

This is not as detailed as the inventory report done by spacewalk. Especially it is missing the following fields:
ip adress, registration time, last checkin time, list of entitelements, virtual or physical, architecture

As such this is currently not useful to us. Most of the data can be fetched using the API directly, which we are going to implement as a workaround, but having it as a feature in the product would be great. Especially as it was present in Satellite 5.

Version-Release number of selected component (if applicable):
current 6.1.x

How reproducible:
always

Steps to Reproduce:
1. hammer content-report content-host-status

Actual results:
output is missing columns

Expected results:
Should contain fields
ip adress, registration time, last checkin time, list of entitelements, virtual or physical, architecture


Additional info:
bz1156582 requests other fields
Comment 1 Christian Horn 2016-02-05 09:46:19 EST
API is a workaround, but much slower for this purpose, hammer would just do a single query to the underlying db.
Comment 5 Bryan Kearney 2016-07-08 16:37:51 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 7 maneesh verma 2016-11-16 10:59:08 EST
I have a customer looking for few features to be involved in this bug i.e listing the hostname with their last patching date. Customer is currently using satellite 6.2 and the feature of content-reports is not available in this version.
Comment 8 Tom McKay 2017-01-16 12:02:47 EST
With Sat-6.2.7 custom reports can be exported that may satisfy the attached customer cases. See this comment: https://bugzilla.redhat.com/show_bug.cgi?id=1267445#c15
Comment 9 Ondřej Pražák 2017-06-21 03:25:05 EDT
Hi, what is the status here? Does the comment #8 help with your use case?
Comment 10 Christian Horn 2017-06-21 03:29:44 EDT
(In reply to Ondřej Pražák from comment #9)
> Hi, what is the status here? Does the comment #8 help with your use case?
Stefan, any comments?
Comment 12 Bryan Kearney 2017-12-14 16:22:34 EST
Closing current release based on Comment 8.

Note You need to log in before you can comment on or make changes to this bug.